.v-select--chips.v-input--density-compact .v-field--variant-solo .v-label.v-field-label--floating,
.v-select--chips.v-input--density-compact .v-field--variant-solo-inverted .v-label.v-field-label--floating,
.v-select--chips.v-input--density-compact .v-field--variant-filled .v-label.v-field-label--floating,
.v-select--chips.v-input--density-compact .v-field--variant-solo-filled .v-label.v-field-label--floating {
  top: 0px;
}
.v-select .v-field .v-text-field__prefix,
.v-select .v-field .v-text-field__suffix,
.v-select .v-field .v-field__input, .v-select .v-field.v-field {
  cursor: pointer;
}
.v-select .v-field .v-field__input > input {
  align-self: flex-start;
  opacity: 1;
  flex: 0 0;
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  transition: none;
  pointer-events: none;
  caret-color: transparent;
  padding-inline: inherit;
}
.v-select .v-field--dirty .v-select__selection {
  margin-inline-end: 2px;
}
.v-select .v-select__selection-text {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.v-select__content {
  overflow: hidden;
}
.v-select__content {
  box-shadow: 0px 2px 4px -1px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 4px 5px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 1px 10px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.v-menu > .v-overlay__content.v-select__content {
  border-radius: 4px;
}

.v-select__selection {
  display: inline-flex;
  align-items: center;
  letter-spacing: inherit;
  line-height: inherit;
  max-width: 100%;
}
.v-select .v-select__selection:first-child {
  margin-inline-start: 0;
}
.v-select--selected .v-field .v-field__input > input {
  opacity: 0;
}
.v-select__menu-icon {
  margin-inline-start: 4px;
  transition: 0.2s cubic-bezier(0.4, 0, 0.2, 1);
}
.v-select--active-menu .v-select__menu-icon {
  transform: rotate(180deg);
}.v-chip {
  align-items: center;
  display: inline-flex;
  font-weight: 400;
  max-width: 100%;
  min-width: 0;
  overflow: hidden;
  position: relative;
  text-decoration: none;
  white-space: nowrap;
  vertical-align: middle;
}
.v-chip .v-icon {
  --v-icon-size-multiplier: 0.8571428571;
}
.v-chip.v-chip--size-x-small {
  --v-chip-size: 0.625rem;
  --v-chip-height: 20px;
  font-size: 0.625rem;
  padding: 0 8px;
}
.v-chip.v-chip--size-x-small .v-avatar {
  --v-avatar-height: 14px;
}
.v-chip--pill.v-chip.v-chip--size-x-small .v-avatar {
  --v-avatar-height: 20px;
}

.v-chip.v-chip--size-x-small .v-avatar--start {
  margin-inline-start: -5.6px;
  margin-inline-end: 4px;
}
.v-chip--pill.v-chip.v-chip--size-x-small .v-avatar--start {
  margin-inline-start: -8px;
}

.v-chip.v-chip--size-x-small .v-avatar--end {
  margin-inline-start: 4px;
  margin-inline-end: -5.6px;
}
.v-chip--pill.v-chip.v-chip--size-x-small .v-avatar--end {
  margin-inline-end: -8px;
}

.v-chip--pill.v-chip.v-chip--size-x-small .v-avatar--end + .v-chip__close {
  margin-inline-start: 12px;
}

.v-chip.v-chip--size-x-small .v-icon--start,
.v-chip.v-chip--size-x-small .v-chip__filter {
  margin-inline-start: -4px;
  margin-inline-end: 4px;
}
.v-chip.v-chip--size-x-small .v-icon--end,
.v-chip.v-chip--size-x-small .v-chip__close {
  margin-inline-start: 4px;
  margin-inline-end: -4px;
}
.v-chip.v-chip--size-x-small .v-icon--end + .v-chip__close,
.v-chip.v-chip--size-x-small .v-avatar--end + .v-chip__close,
.v-chip.v-chip--size-x-small .v-chip__append + .v-chip__close {
  margin-inline-start: 8px;
}

.v-chip.v-chip--size-small {
  --v-chip-size: 0.75rem;
  --v-chip-height: 26px;
  font-size: 0.75rem;
  padding: 0 10px;
}
.v-chip.v-chip--size-small .v-avatar {
  --v-avatar-height: 20px;
}
.v-chip--pill.v-chip.v-chip--size-small .v-avatar {
  --v-avatar-height: 26px;
}

.v-chip.v-chip--size-small .v-avatar--start {
  margin-inline-start: -7px;
  margin-inline-end: 5px;
}
.v-chip--pill.v-chip.v-chip--size-small .v-avatar--start {
  margin-inline-start: -10px;
}

.v-chip.v-chip--size-small .v-avatar--end {
  margin-inline-start: 5px;
  margin-inline-end: -7px;
}
.v-chip--pill.v-chip.v-chip--size-small .v-avatar--end {
  margin-inline-end: -10px;
}

.v-chip--pill.v-chip.v-chip--size-small .v-avatar--end + .v-chip__close {
  margin-inline-start: 15px;
}

.v-chip.v-chip--size-small .v-icon--start,
.v-chip.v-chip--size-small .v-chip__filter {
  margin-inline-start: -5px;
  margin-inline-end: 5px;
}
.v-chip.v-chip--size-small .v-icon--end,
.v-chip.v-chip--size-small .v-chip__close {
  margin-inline-start: 5px;
  margin-inline-end: -5px;
}
.v-chip.v-chip--size-small .v-icon--end + .v-chip__close,
.v-chip.v-chip--size-small .v-avatar--end + .v-chip__close,
.v-chip.v-chip--size-small .v-chip__append + .v-chip__close {
  margin-inline-start: 10px;
}

.v-chip.v-chip--size-default {
  --v-chip-size: 0.875rem;
  --v-chip-height: 32px;
  font-size: 0.875rem;
  padding: 0 12px;
}
.v-chip.v-chip--size-default .v-avatar {
  --v-avatar-height: 26px;
}
.v-chip--pill.v-chip.v-chip--size-default .v-avatar {
  --v-avatar-height: 32px;
}

.v-chip.v-chip--size-default .v-avatar--start {
  margin-inline-start: -8.4px;
  margin-inline-end: 6px;
}
.v-chip--pill.v-chip.v-chip--size-default .v-avatar--start {
  margin-inline-start: -12px;
}

.v-chip.v-chip--size-default .v-avatar--end {
  margin-inline-start: 6px;
  margin-inline-end: -8.4px;
}
.v-chip--pill.v-chip.v-chip--size-default .v-avatar--end {
  margin-inline-end: -12px;
}

.v-chip--pill.v-chip.v-chip--size-default .v-avatar--end + .v-chip__close {
  margin-inline-start: 18px;
}

.v-chip.v-chip--size-default .v-icon--start,
.v-chip.v-chip--size-default .v-chip__filter {
  margin-inline-start: -6px;
  margin-inline-end: 6px;
}
.v-chip.v-chip--size-default .v-icon--end,
.v-chip.v-chip--size-default .v-chip__close {
  margin-inline-start: 6px;
  margin-inline-end: -6px;
}
.v-chip.v-chip--size-default .v-icon--end + .v-chip__close,
.v-chip.v-chip--size-default .v-avatar--end + .v-chip__close,
.v-chip.v-chip--size-default .v-chip__append + .v-chip__close {
  margin-inline-start: 12px;
}

.v-chip.v-chip--size-large {
  --v-chip-size: 1rem;
  --v-chip-height: 38px;
  font-size: 1rem;
  padding: 0 14px;
}
.v-chip.v-chip--size-large .v-avatar {
  --v-avatar-height: 32px;
}
.v-chip--pill.v-chip.v-chip--size-large .v-avatar {
  --v-avatar-height: 38px;
}

.v-chip.v-chip--size-large .v-avatar--start {
  margin-inline-start: -9.8px;
  margin-inline-end: 7px;
}
.v-chip--pill.v-chip.v-chip--size-large .v-avatar--start {
  margin-inline-start: -14px;
}

.v-chip.v-chip--size-large .v-avatar--end {
  margin-inline-start: 7px;
  margin-inline-end: -9.8px;
}
.v-chip--pill.v-chip.v-chip--size-large .v-avatar--end {
  margin-inline-end: -14px;
}

.v-chip--pill.v-chip.v-chip--size-large .v-avatar--end + .v-chip__close {
  margin-inline-start: 21px;
}

.v-chip.v-chip--size-large .v-icon--start,
.v-chip.v-chip--size-large .v-chip__filter {
  margin-inline-start: -7px;
  margin-inline-end: 7px;
}
.v-chip.v-chip--size-large .v-icon--end,
.v-chip.v-chip--size-large .v-chip__close {
  margin-inline-start: 7px;
  margin-inline-end: -7px;
}
.v-chip.v-chip--size-large .v-icon--end + .v-chip__close,
.v-chip.v-chip--size-large .v-avatar--end + .v-chip__close,
.v-chip.v-chip--size-large .v-chip__append + .v-chip__close {
  margin-inline-start: 14px;
}

.v-chip.v-chip--size-x-large {
  --v-chip-size: 1.125rem;
  --v-chip-height: 44px;
  font-size: 1.125rem;
  padding: 0 17px;
}
.v-chip.v-chip--size-x-large .v-avatar {
  --v-avatar-height: 38px;
}
.v-chip--pill.v-chip.v-chip--size-x-large .v-avatar {
  --v-avatar-height: 44px;
}

.v-chip.v-chip--size-x-large .v-avatar--start {
  margin-inline-start: -11.9px;
  margin-inline-end: 8.5px;
}
.v-chip--pill.v-chip.v-chip--size-x-large .v-avatar--start {
  margin-inline-start: -17px;
}

.v-chip.v-chip--size-x-large .v-avatar--end {
  margin-inline-start: 8.5px;
  margin-inline-end: -11.9px;
}
.v-chip--pill.v-chip.v-chip--size-x-large .v-avatar--end {
  margin-inline-end: -17px;
}

.v-chip--pill.v-chip.v-chip--size-x-large .v-avatar--end + .v-chip__close {
  margin-inline-start: 25.5px;
}

.v-chip.v-chip--size-x-large .v-icon--start,
.v-chip.v-chip--size-x-large .v-chip__filter {
  margin-inline-start: -8.5px;
  margin-inline-end: 8.5px;
}
.v-chip.v-chip--size-x-large .v-icon--end,
.v-chip.v-chip--size-x-large .v-chip__close {
  margin-inline-start: 8.5px;
  margin-inline-end: -8.5px;
}
.v-chip.v-chip--size-x-large .v-icon--end + .v-chip__close,
.v-chip.v-chip--size-x-large .v-avatar--end + .v-chip__close,
.v-chip.v-chip--size-x-large .v-chip__append + .v-chip__close {
  margin-inline-start: 17px;
}

.v-chip.v-chip--density-default {
  height: calc(var(--v-chip-height) + 0px);
}

.v-chip.v-chip--density-comfortable {
  height: calc(var(--v-chip-height) + -4px);
}

.v-chip.v-chip--density-compact {
  height: calc(var(--v-chip-height) + -8px);
}

.v-chip {
  border-color: rgba(var(--v-border-color), var(--v-border-opacity));
  border-style: solid;
  border-width: 0;
}
.v-chip:hover > .v-chip__overlay {
  opacity: calc(var(--v-hover-opacity) * var(--v-theme-overlay-multiplier));
}
.v-chip:focus-visible > .v-chip__overlay {
  opacity: calc(var(--v-focus-opacity) * var(--v-theme-overlay-multiplier));
}
@supports not selector(:focus-visible) {
  .v-chip:focus > .v-chip__overlay {
    opacity: calc(var(--v-focus-opacity) * var(--v-theme-overlay-multiplier));
  }
}
.v-chip--active > .v-chip__overlay, .v-chip[aria-haspopup=menu][aria-expanded=true] > .v-chip__overlay {
  opacity: calc(var(--v-activated-opacity) * var(--v-theme-overlay-multiplier));
}
.v-chip--active:hover > .v-chip__overlay, .v-chip[aria-haspopup=menu][aria-expanded=true]:hover > .v-chip__overlay {
  opacity: calc((var(--v-activated-opacity) + var(--v-hover-opacity)) * var(--v-theme-overlay-multiplier));
}
.v-chip--active:focus-visible > .v-chip__overlay, .v-chip[aria-haspopup=menu][aria-expanded=true]:focus-visible > .v-chip__overlay {
  opacity: calc((var(--v-activated-opacity) + var(--v-focus-opacity)) * var(--v-theme-overlay-multiplier));
}
@supports not selector(:focus-visible) {
  .v-chip--active:focus > .v-chip__overlay, .v-chip[aria-haspopup=menu][aria-expanded=true]:focus > .v-chip__overlay {
    opacity: calc((var(--v-activated-opacity) + var(--v-focus-opacity)) * var(--v-theme-overlay-multiplier));
  }
}
.v-chip {
  border-radius: 9999px;
}
.v-chip--variant-plain, .v-chip--variant-outlined, .v-chip--variant-text, .v-chip--variant-tonal {
  background: transparent;
  color: inherit;
}
.v-chip--variant-plain {
  opacity: 0.62;
}
.v-chip--variant-plain:focus, .v-chip--variant-plain:hover {
  opacity: 1;
}
.v-chip--variant-plain .v-chip__overlay {
  display: none;
}
.v-chip--variant-elevated, .v-chip--variant-flat {
  background: rgb(var(--v-theme-surface-variant));
  color: rgb(var(--v-theme-on-surface-variant));
}
.v-chip--variant-elevated {
  box-shadow: 0px 2px 1px -1px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 1px 1px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 1px 3px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.v-chip--variant-flat {
  box-shadow: 0px 0px 0px 0px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 0px 0px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 0px 0px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.v-chip--variant-outlined {
  border: thin solid currentColor;
}
.v-chip--variant-text .v-chip__overlay {
  background: currentColor;
}
.v-chip--variant-tonal .v-chip__underlay {
  background: currentColor;
  opacity: var(--v-activated-opacity);
  border-radius: inherit;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  pointer-events: none;
}
.v-chip .v-chip__underlay {
  position: absolute;
}
.v-chip--border {
  border-width: thin;
}
.v-chip--link {
  cursor: pointer;
}
.v-chip--link, .v-chip--filter {
  user-select: none;
}
.v-chip--label {
  border-radius: 4px;
}

.v-chip__content {
  align-items: center;
  display: inline-flex;
}
.v-autocomplete__selection .v-chip__content, .v-combobox__selection .v-chip__content, .v-select__selection .v-chip__content {
  overflow: hidden;
}

.v-chip__filter,
.v-chip__prepend,
.v-chip__append,
.v-chip__close {
  align-items: center;
  display: inline-flex;
}

.v-chip__close {
  cursor: pointer;
  flex: 0 1 auto;
  font-size: 18px;
  max-height: 18px;
  max-width: 18px;
  user-select: none;
}
.v-chip__close .v-icon {
  font-size: inherit;
}

.v-chip__filter {
  transition: 0.15s cubic-bezier(0.4, 0, 0.2, 1);
}

.v-chip__overlay {
  background-color: currentColor;
  border-radius: inherit;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.2s ease-in-out;
}
.v-chip__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.v-chip--disabled {
  opacity: 0.3;
  pointer-events: none;
  user-select: none;
}

.v-chip--label {
  border-radius: 4px;
}

@media (forced-colors: active) {
  .v-chip:not(.v-chip--variant-text, .v-chip--variant-plain) {
    border: thin solid;
  }
}.v-chip-group {
  display: flex;
  max-width: 100%;
  min-width: 0;
  overflow-x: auto;
  padding: 4px 0;
}
.v-chip-group .v-chip {
  margin: 4px 8px 4px 0;
}
@media (forced-colors: active) {
  .v-chip-group .v-chip {
    background-color: buttonface !important;
    color: buttontext !important;
  }
  .v-chip-group .v-chip:hover {
    color: highlight !important;
  }
}
.v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled) .v-chip__overlay {
  opacity: var(--v-activated-opacity);
}
@media (forced-colors: active) {
  .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled) {
    color: highlight !important;
    forced-color-adjust: preserve-parent-color;
  }
  .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled):focus-visible {
    outline-offset: 2px;
  }
  .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled).v-chip--variant-elevated, .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled).v-chip--variant-flat {
    background-color: highlight !important;
    color: highlighttext !important;
  }
  .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled).v-chip--variant-outlined, .v-chip-group .v-chip.v-chip--selected:not(.v-chip--disabled).v-chip--variant-tonal {
    border-width: medium;
  }
}

.v-chip-group--column .v-slide-group__content {
  white-space: normal;
  flex-wrap: wrap;
  max-width: 100%;
}.v-slide-group {
  display: flex;
  overflow: hidden;
}

.v-slide-group__next,
.v-slide-group__prev {
  align-items: center;
  display: flex;
  flex: 0 1 52px;
  justify-content: center;
  min-width: 52px;
  cursor: pointer;
}
.v-slide-group__next--disabled,
.v-slide-group__prev--disabled {
  pointer-events: none;
  opacity: var(--v-disabled-opacity);
}

.v-slide-group__content {
  display: flex;
  flex: 1 0 auto;
  position: relative;
  transition: 0.2s all cubic-bezier(0.4, 0, 0.2, 1);
  white-space: nowrap;
}
.v-slide-group__content > * {
  white-space: initial;
}

.v-slide-group__container {
  contain: content;
  display: flex;
  flex: 1 1 auto;
  overflow-x: auto;
  overflow-y: hidden;
  scrollbar-width: none;
  scrollbar-color: rgba(0, 0, 0, 0);
}
.v-slide-group__container::-webkit-scrollbar {
  display: none;
}

.v-slide-group--vertical {
  max-height: inherit;
}
.v-slide-group--vertical,
.v-slide-group--vertical .v-slide-group__container,
.v-slide-group--vertical .v-slide-group__content {
  flex-direction: column;
}
.v-slide-group--vertical .v-slide-group__container {
  overflow-x: hidden;
  overflow-y: auto;
}.v-list {
  overflow: auto;
  padding: 8px 0;
  position: relative;
  outline: none;
}
.v-list {
  border-color: rgba(var(--v-border-color), var(--v-border-opacity));
  border-style: solid;
  border-width: 0;
}
.v-list--border {
  border-width: thin;
  box-shadow: none;
}
.v-list {
  box-shadow: 0px 0px 0px 0px var(--v-shadow-key-umbra-opacity, rgba(0, 0, 0, 0.2)), 0px 0px 0px 0px var(--v-shadow-key-penumbra-opacity, rgba(0, 0, 0, 0.14)), 0px 0px 0px 0px var(--v-shadow-key-ambient-opacity, rgba(0, 0, 0, 0.12));
}
.v-list {
  border-radius: 0;
}
.v-list {
  background: rgba(var(--v-theme-surface));
  color: rgba(var(--v-theme-on-surface), var(--v-high-emphasis-opacity));
}
.v-list--disabled {
  pointer-events: none;
  user-select: none;
}
.v-list--nav {
  padding-inline: 8px;
}
.v-list--nav .v-list-item:not(:first-child),
.v-list--nav .v-list-group:not(:first-child) > .v-list-item,
.v-list--nav .v-list-group__items > .v-list-item,
.v-list--nav .v-list-group__items > .v-list-group {
  margin-top: 4px;
}
.v-list--rounded {
  border-radius: 4px;
}
.v-list--subheader {
  padding-top: 0;
}

.v-list-img {
  border-radius: inherit;
  display: flex;
  height: 100%;
  left: 0;
  overflow: hidden;
  position: absolute;
  top: 0;
  width: 100%;
  z-index: -1;
}

.v-list-subheader {
  align-items: center;
  background: inherit;
  color: rgba(var(--v-theme-on-surface), var(--v-medium-emphasis-opacity));
  display: flex;
  font-size: 0.875rem;
  font-weight: 400;
  line-height: 1.375rem;
  padding-inline-end: 16px;
  min-height: 40px;
  transition: 0.2s min-height cubic-bezier(0.4, 0, 0.2, 1);
}
.v-list-subheader__text {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.v-list--density-default .v-list-subheader {
  min-height: 40px;
  padding-inline-start: calc(16px + var(--indent-padding)) !important;
}

.v-list--density-comfortable .v-list-subheader {
  min-height: 36px;
  padding-inline-start: calc(16px + var(--indent-padding)) !important;
}

.v-list--density-compact .v-list-subheader {
  min-height: 32px;
  padding-inline-start: calc(16px + var(--indent-padding)) !important;
}

.v-list-subheader--inset {
  --indent-padding: 56px;
}
.v-list--nav .v-list-subheader {
  font-size: 0.75rem;
}
.v-list-subheader--sticky {
  background: inherit;
  left: 0;
  position: sticky;
  top: 0;
  z-index: 1;
}

.v-list__overlay {
  background-color: currentColor;
  border-radius: inherit;
  bottom: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  position: absolute;
  right: 0;
  top: 0;
  transition: opacity 0.2s ease-in-out;
}.v-virtual-scroll {
  display: block;
  flex: 1 1 auto;
  max-width: 100%;
  overflow: auto;
  position: relative;
}
.v-virtual-scroll__container {
  display: block;
}